#!/usr/bin/perl -w
use strict;
use SOAP::Lite;

my ( $f1, $f2 ) = @ARGV;

usage() unless defined $f1 and -f $f1
        and defined $f2 and -f $f2; 


my ( $file1, $file2 );
open ( F1, "< $f1" ) or die "Error opening file $f1: $! \n";
open ( F2, "< $f2" ) or die "Error opening file $f2: $! \n";
{
local $/ = undef;
$file1 = <F1>;
$file2 = <F2>;
}

close F1;
close F2;

my $soap = SOAP::Lite
  -> uri('http://192.168.0.20/WebSemDiff')
  -> proxy('http://192.168.0.20/cgi-bin/semdiff.cgi')
  -> on_fault( \&fatal_error );

my $result = $soap->compare( $file1, $file2 )->result;

print "Comparing $f1 and $f2...\n";

if ( defined $result and scalar( @{$result} ) == 0 ) {
    print "Files are sematically identical\n";
    exit;
}

foreach my $diff ( @{$result} ) {
print $diff->{context} . ' ' . 
      $diff->{startline} . ' - '  .
      $diff->{endline} . ' '  .
      $diff->{message} .
      "\n";

}
sub fatal_error {
    my($soap, $result) = @_; 
    die join ', ', 
      $result->faultcode, 
      $result->faultstring, 
      $result->faultdetail;
}

sub usage {
   die "Usage:\nperl $0 file1.xml file2.xml \n";
}
