<?xml version="1.0"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0"
  >
<xsl:output 
     method="html" 
     encoding="ISO-8859-1"
/>

<xsl:param name="file1"/>
<xsl:param name="file2"/>

<xsl:template match="/">
<html>
  <head><title>XML Semantic Diff Tool - Results</title></head>
  <xsl:apply-templates/>
  <xsl:value-of select="."/>
</html>
</xsl:template>

<xsl:template match="document">
  <body>
    <h2>XML Semantic Diff Tool - Results</h2>
    <h3>
       Comparing Files <xsl:value-of select="$file1"/> and 
       <xsl:value-of select="$file2"/>
    </h3>
    <xsl:choose>
      <xsl:when test="error|message">
        <xsl:apply-templates/>
      </xsl:when>
      <xsl:otherwise>
        <table border="1">
          <tr bgcolor="eeeeee">
            <th>Context Path</th>
            <th>Line Numbers</th>
            <th>Message</th>
          </tr>
          <xsl:apply-templates/>
        </table>
      </xsl:otherwise>
    </xsl:choose>
    <p><a href="semdiff.cgi">Back</a></p>
  </body> 
</xsl:template>

<xsl:template match="difference">
  <tr>
    <td><xsl:value-of select="context"/></td>
    <td><xsl:value-of select="startline"/> - <xsl:value-of select="endline"/></td>
    <td><xsl:value-of select="message"/></td>
  </tr>
</xsl:template>

<xsl:template match="message">
  <p>
    <xsl:value-of select="."/>
  </p>
</xsl:template>

<xsl:template match="error">
  <p>
    An Error occured while processing your request: 
    <xsl:value-of select="."/>
  </p>
</xsl:template>

</xsl:stylesheet>
